#define LED_PIN 13
#define AOUT_PIN A0 // AOUT (AO) pin of the MQ sensor
#define DOUT_PIN 8  // DOUT (DO) pin of the MQ sensor

int limit, value;

void setup()
{
  pinMode(LED_PIN, OUTPUT);
  pinMode(DOUT_PIN, INPUT);
  Serial.begin(9600);
}

void loop()
{
  //reads the analaog value from the MQ sensor's AOUT pin
  value = analogRead(AOUT_PIN);

  //reads the digital value from the MQ sensor's DOUT pin
  limit = digitalRead(DOUT_PIN);

  Serial.print("Limit: ");
  Serial.print(limit); // limit reached LOW or HIGH (above or underneath)
  Serial.print(" Gas value: ");
  Serial.println(value);
  delay(500);

  if (limit == HIGH) {
    digitalWrite(LED_PIN, HIGH);//if limit has been reached, LED turns on as status indicator
  } else {
    digitalWrite(LED_PIN, LOW);//if threshold not reached, LED remains off
  }
}
